Bug 88575 - Byte Range implementation fix
Summary: Byte Range implementation fix
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-11 00:02 UTC by Scott Becker
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-28 16:23:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:186 normal SHIPPED_LIVE : Updated httpd packages fix Apache security vulnerabilities 2003-05-28 04:00:00 UTC

Description Scott Becker 2003-04-11 00:02:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
There is a fix for apache bugzilla bugs #11601 and #18913 which should be
applied to Redhat until it can ship >= 2.0.44

Whenever an apache request does not return the file, eg 404, 401, 304, and the
request has a Range: header, the byterange code incorrectly does it's thing
anyway and does illogical things to the response.

Apache 2.0 CVS revision 1.463 of modules/http/http_protocol.c contains the patch
to fix it. Very minor change with a big effect on byte-range requests.

Here's the official diff:
http://cvs.apache.org/viewcvs.cgi/httpd-2.0/modules/http/http_protocol.c.diff?r1=1.462&r2=1.463

Thanks, reapplying the patch by hand every time there's an erratum would be a pain.


Version-Release number of selected component (if applicable):
Prior to 2.0.44, using httpd-2.0.40-11

How reproducible:
Always

Steps to Reproduce:
1.# curl -i -r bytes=0-9 -z 'Sat, 21 Dec 2002 06:46:30 GMT'
http://nagoya.apache.org/
2.run the command above with the current time stamp


Actual Results:  If they are still running 2.0.40:
HTTP/1.1 416 Requested Range Not Satisfiable


Expected Results:  If the time stamp is currect:
HTTP/1.1 304 Not Changed


Additional info:  Also affects rh 9.0

Comment 1 Joe Orton 2003-05-19 14:08:20 UTC
Fix is being integrated for the next erratum.  Thanks for filing the bug.

Comment 2 Mark J. Cox 2003-05-28 16:23:21 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-186.html


Comment 3 Scott Becker 2003-07-21 22:30:36 UTC
It works great!
Thankyou


Note You need to log in before you can comment on or make changes to this bug.